# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## [2.0.1](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-message-bar@2.0.0...@billogram/foundation-message-bar@2.0.1) (2021-02-04)

### Bug Fixes

* Sync dependency versions ([04decf10](https://github.com/billogram/frontend-foundation/commit/04decf10))



## [2.0.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-message-bar@1.1.0...@billogram/foundation-message-bar@2.0.0) (2021-01-13)

### Features

* Rework the FoundationMessageBarContext ([6618961e](https://github.com/billogram/frontend-foundation/commit/6618961e))


### BREAKING CHANGES

* This changes what is being exported from
the @billogram/foundation-message-bar package.



## [1.1.0](https://github.com/billogram/frontend-foundation/compare/dbf5a8709119374207dd2d28f6ffeffac17d5871...@billogram/foundation-message-bar@1.1.0) (2021-01-10)

### Bug Fixes

* Use arrow functions for useCallback callbacks ([8ee4239e](https://github.com/billogram/frontend-foundation/commit/8ee4239e))
* Prefer React import ([40e8d46a](https://github.com/billogram/frontend-foundation/commit/40e8d46a))
* Fix @typescript-eslint/naming-convention ([c04296e0](https://github.com/billogram/frontend-foundation/commit/c04296e0))
* Fix linting in foundation-message-bar ([8a2ca776](https://github.com/billogram/frontend-foundation/commit/8a2ca776))


### Features

* Upgrade React ([978bf30e](https://github.com/billogram/frontend-foundation/commit/978bf30e))
* Implement message bar components ([af9dc63f](https://github.com/billogram/frontend-foundation/commit/af9dc63f))
* Scaffold out @billogram/foundation-message-bar ([70de8c0f](https://github.com/billogram/frontend-foundation/commit/70de8c0f))


### BREAKING CHANGES

* Force the first release to start from 1.0.0.



## [1.0.0](https://github.com/billogram/frontend-foundation/compare/dbf5a8709119374207dd2d28f6ffeffac17d5871...@billogram/foundation-message-bar@1.0.0) (2020-05-28)

### Features

* Implement message bar components ([af9dc63f](https://github.com/billogram/frontend-foundation/commit/af9dc63f))
* Scaffold out @billogram/foundation-message-bar ([70de8c0f](https://github.com/billogram/frontend-foundation/commit/70de8c0f))


### BREAKING CHANGES

* Force the first release to start from 1.0.0.
