import React from 'react';
import purebem from 'purebem';
import { useMessageBar } from './FoundationMessageBarContext';
import './FoundationMessage.scss';
export default function FoundationMessage(_ref) {
  var _ref$text = _ref.text,
      text = _ref$text === void 0 ? '' : _ref$text,
      _ref$ui = _ref.ui,
      ui = _ref$ui === void 0 ? 'informative' : _ref$ui;
  var block = purebem('foundation-message');
  var messageBar = useMessageBar();
  return /*#__PURE__*/React.createElement("div", {
    className: block({
      ui: ui
    })
  }, /*#__PURE__*/React.createElement("div", {
    className: block('text')
  }, text), /*#__PURE__*/React.createElement("button", {
    className: block('close'),
    onClick: messageBar.hide
  }));
}
//# sourceMappingURL=FoundationMessage.js.map